import { SvelteComponentTyped } from "svelte";
import type { TabHeadType } from '../types';
declare const __propDef: {
    props: {
        tabs: TabHeadType[];
        tabId?: string;
        activeTabValue?: number;
    };
    events: {
        blur: FocusEvent;
        click: MouseEvent;
        focus: FocusEvent;
        keydown: KeyboardEvent;
        keypress: KeyboardEvent;
        keyup: KeyboardEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        mouseover: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type InteractiveTabHeadProps = typeof __propDef.props;
export declare type InteractiveTabHeadEvents = typeof __propDef.events;
export declare type InteractiveTabHeadSlots = typeof __propDef.slots;
/**
 * Header part of Interactive tab component. Use with TabContent.
 *
 * @param tabs: TabHeadType[];
 * @param tabId = 'myTab';
 *
 * - Usage:
 *
 * ```tsx
 * <InteractiveHead>
 *   <TabContent>
 *     Some HTML|Component|string
 *   </TabContent>
 * </InteractiveHead>
 * ```
 */
export default class InteractiveTabHead extends SvelteComponentTyped<InteractiveTabHeadProps, InteractiveTabHeadEvents, InteractiveTabHeadSlots> {
}
export {};
