import { SvelteComponentTyped } from "svelte";
import type { TabHeadType } from '../types';
declare const __propDef: {
    props: {
        divClass?: string;
        tab: TabHeadType;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type TabContentProps = typeof __propDef.props;
export declare type TabContentEvents = typeof __propDef.events;
export declare type TabContentSlots = typeof __propDef.slots;
/**
 * Content part of Interactive tab component. Use with InteractiveHead.
 *
 * - let tabId = 'myTab';
 * - let tabs: TabHeadType;
 * - let divClass: string;
 * - Usage:
 *
 * ```tsx
 * <InteractiveHead>
 *   <TabContent>
 *     Some HTML|Component|string
 *   </TabContent>
 * </InteractiveHead>
 * ```
 */
export default class TabContent extends SvelteComponentTyped<TabContentProps, TabContentEvents, TabContentSlots> {
}
export {};
